
function Draw()
	for i = 1, #objects do
		local face = {}
		local vertecies = {}
		local poly = {}
		local verteciesZ = {}

		for Type, object in pairs(objects[i]) do

			if Type == "vertecies" then
				for key, vertex in pairs(object) do
					local x = vertex.x / -vertex.z
					local y = vertex.y / -vertex.z

					x = 400 + x*600
					y = 400 + y*600

					vertecies[#vertecies + 1] = {x, y}
				end
			end

			if Type == "faces" then
				for key, faces in pairs(object) do
					face[key] = faces
				end
			end

		end

		for t = 1, #face do
			if #face[t] == 4 then
				local temp = {}
				local a, b, c, d = tonumber(face[t][1]), tonumber(face[t][2]), tonumber(face[t][3]), tonumber(face[t][4])
				temp[1] = vertecies[a]
				temp[2] = vertecies[b]
				temp[3] = vertecies[c]
				temp[4] = vertecies[d]
				poly[t] = {temp[1][1], temp[1][2], temp[2][1], temp[2][2], temp[3][1], temp[3][2], temp[4][1], temp[4][2]}
			elseif #face[t] == 3 then
				local temp = {}
				local temp2 = {}
				local a, b, c = tonumber(face[t][1]), tonumber(face[t][2]), tonumber(face[t][3])
				temp[1] = vertecies[a]
				temp[2] = vertecies[b]
				temp[3] = vertecies[c]
				poly[t] = {temp[1][1], temp[1][2], temp[2][1], temp[2][2], temp[3][1], temp[3][2]}
			else
				error("WTF?", 1)
			end
		end

		gfx.setColor(255, 255, 255, 255)
		for r = 1, #poly do
			gfx.polygon("fill", poly[r])
		end
	end
end


function addModelKeys(key)
	if key == "f12" then
		addModel("sphere", 1)
	end
	if key == "f11" then
		addModel("cube", 1)
	end
end